PHP Manual
Prev |  | Next

# dbplus_getunique

(4.1.0 - 4.2.3 only, PECL)

dbplus_getunique -- Get an id number unique to a relation

## Description

int dbplus_getunique ( resource relation, int uniqueid )

Obtains a number guaranteed to be unique for the given `relation` and will pass it back in the variable given as `uniqueid`.

## Parameters

`relation`

  A relation opened by dbplus_open().

`uniqueid`

## Return Values

Returns `DBPLUS_ERR_NOERR` on success or a db++ error code on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Prev | Home | Next
dbplus_getlock | Up | dbplus_info